Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Lexical or Preprocessor Issue: 'SRWebSocket.h' file not found #840

Closed
ricardopereira opened this issue Apr 11, 2019 · 2 comments

Comments

@ricardopereira
Copy link
Collaborator

commented Apr 11, 2019

Which version of the Ably SDK are you using?

v1.1.3

On which platform does the issue happen?

iOS 12

Are you using Carthage?

No

Are you using Cocoapods?

v1.6.1

Which version of Xcode are you using?

Xcode 10.2

What did you do?

Project compilation fails with:

Lexical or Preprocessor Issue: 'SRWebSocket.h' file not found

Ably SocketRocket dependency conflicts with libPusher framework:

  - libPusher/Core (1.6.3):
    - SocketRocket (= 0.5.1)

The compiler doesn't recognise the correct SocketRocket dependency for Ably.

Podfile:

# Uncomment this line to define a global platform for your project
source 'https://github.com/CocoaPods/Specs.git'
use_frameworks!
platform :ios, '8.0'

abstract_target 'LexicalErrorExampleApp' do
    pod "libPusher"
    pod "PPSSignatureView", "0.1.2"
    pod "AFNetworking", "2.5.1"
    pod "Stripe", "3.1.0"
    pod "ECSlidingViewController", "2.0.3"
    pod "MBProgressHUD"
    pod "UIAlertController+Blocks", "0.8"
    pod "DateTools" , "1.5.0"
    pod "GoogleMaps", "1.10.1"
    pod 'Heartland-iOS-SDK', "~> 1.0.5"
    pod 'Fabric'
    pod 'Crashlytics'
    pod 'Realm'
    pod 'PromiseKit'
    pod 'CocoaAsyncSocket'
    pod 'SKTCaptureObjC', '~> 1.0'
    pod 'SumUpSDK'
    pod 'Ably'
    target 'LexicalErrorExample'
end
@mattheworiordan

This comment has been minimized.

Copy link
Member

commented May 15, 2019

@ricardopereira any thoughts on what can be done to fix this?

@ricardopereira

This comment has been minimized.

Copy link
Collaborator Author

commented May 16, 2019

@mattheworiordan Yes, I need to change some project configurations. I'm working on it.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
2 participants
You can’t perform that action at this time.